POST api/pcconfigapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"id": "23c64d6d-1fad-4a05-bce2-a718740f495c",
"key": "f1099b46-cd03-43b9-8638-9800968e6479",
"pc_id": "e438b2b5-8177-40b8-83e0-1a7f2cf0beec",
"value": "sample string 3"
}
application/xml, text/xml
Sample:
<pc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <id>23c64d6d-1fad-4a05-bce2-a718740f495c</id> <key>f1099b46-cd03-43b9-8638-9800968e6479</key> <pc_id>e438b2b5-8177-40b8-83e0-1a7f2cf0beec</pc_id> <value>sample string 3</value> </pc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f1db6cc2-ee8c-4b7a-8fcd-b2a3d192a880"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f1db6cc2-ee8c-4b7a-8fcd-b2a3d192a880</guid>